<?php
require_once("functions.synch.php");
require_once("config.php");
require_once(ROSTER_LIB.'login.php');

	$roster_login = new RosterLogin($script_filename);
	if(!$roster_login->getAuthorized()) {
		Print 'Please logon as admin to run this addon';
		return;
	}

if (!defined('ROSTER_INSTALLED')) {
	exit('Detected invalid access to this file!');
}

if (isset($_REQUEST['syncmemberid'])) {
//	Print 'Entered!';
	//Synch single player then call to do next one
	if ($_REQUEST['syncmemberid'] == ''){
		Print 'Update Completed!';
	}
	else {
		//Print 'Calling synchMemberByID with params: '. $_REQUEST['syncmemberid'] . '<br>';
		synchMemberByID(null, $_REQUEST['syncmemberid']);
	}
} else {
	//Require Password Authentication
	$roster_login = new RosterLogin($script_filename);
	if(!$roster_login->getAuthorized()) {
		print $roster_login->getMessage() . $roster_login->getLoginForm();

		return;
	}

	$query =
		"SELECT min(members.member_id) ID " .
		"FROM `".ROSTER_MEMBERSTABLE."` members " ;

	$wowdb->query("set sql_mode = ''");

	$result = $wowdb->query($query)
		or die_quietly($wowdb->error(), 'Database Error', basename(__FILE__), __LINE__, $query);

	$memberid = -1;
	while ($row = $wowdb->fetch_assoc($result)) {
		$memberid = $row["ID"];
	}

	if ($memberid == -1){
		print 'Failed to get any members to process';
	}
	else {
		//Ok output first processing
		print 'About to start ID:' . $memberid;
		synchMemberByID(null, $memberid);
	}
}
?>